Skip to main content
POST
/
action
/
trends_research_send_trends_email_action
[TR2] Send Trends Digest Email
curl --request POST \
  --url https://api-lr.agent.ai/v1/action/trends_research_send_trends_email_action \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "output_variable_name": "email_result",
  "digest_id": "{{trends_digest.digest_id}}",
  "email": "<string>"
}
'
{
  "status": 123,
  "response": {}
}

Authorizations

Authorization
string
header
required

Bearer token from your account (https://agent.ai/user/integrations#api)

Body

application/json
output_variable_name
string
default:email_result
required
Pattern: ^[a-zA-Z][a-zA-Z0-9_]*$
digest_id
string
default:{{trends_digest.digest_id}}

ID of the digest to send. Use {{trends_digest.digest_id}} to reference output from [TR1].

email
string

Override email address. Defaults to the user's account email.

Response

Successful response

status
integer<int32>

HTTP status code of the action response

response
object

Response data from the action